Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Public Attributes

# DirectGuiWidget Class Reference

Inheritance diagram for DirectGuiWidget:

List of all members.

## Public Member Functions
def | __init__
def | copyOptions
def | destroy
def | disableEdit
def | editStart
def | editStop
def | enableEdit
def | frameInitialiseFunc
def | getBounds
def | getCenter
def | getFrameType
def | getHeight
def | getWidth
def | guiDragTask
def | guiScaleTask
def | printConfig
def | resetFrameSize
def | setBorderUvWidth
def | setBorderWidth
def | setFrameColor
def | setFrameSize
def | setFrameTexture
def | setFrameVisibleScale
def | setProp
def | setRelief
def | setState
def | taskName
def | uniqueName
def | updateFrameStyle
## Public Attributes
| bounds
| frameStyle
| guiId
| guiItem
| ll
| stateNodePath
| ur
## Static Public Attributes
float | gridSpacing = 0.05
dictionary | guiDict = {}
tuple | guiEdit = config.GetBool('direct-gui-edit', 0)
| inactiveInitState = DGG.NORMAL
int | snapToGrid = 0

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | parent = `None`,
|  |  | kw
| ) |  |

Reimplemented in DirectButton, DirectCheckButton, DirectDialog, OkDialog, OkCancelDialog, YesNoDialog, YesNoCancelDialog, RetryCancelDialog, DirectEntry, DirectFrame, DirectLabel, DirectOptionMenu, DirectRadioButton, DirectScrollBar, DirectScrolledFrame, DirectScrolledListItem, DirectScrolledList, DirectSlider, and DirectWaitBar.

## Member Function Documentation

def copyOptions | ( |  | self,
|  |  | other
| ) |  |

    Copy other's options into our self so we look and feel like other

def destroy | ( |  | self | ) |

Reimplemented from DirectGuiBase.

Reimplemented in DirectDialog, DirectEntry, DirectEntryScroll, DirectFrame, DirectScrollBar, DirectScrolledFrame, DirectScrolledList, DirectSlider, and DirectWaitBar.

def disableEdit | ( |  | self | ) |

def editStart | ( |  | self,
|  |  | event
| ) |  |

def editStop | ( |  | self,
|  |  | event
| ) |  |

def enableEdit | ( |  | self | ) |

def frameInitialiseFunc | ( |  | self | ) |

def getBounds | ( |  | self,
|  |  | state = `0`
| ) |  |

Reimplemented in DirectEntry.

def getCenter | ( |  | self | ) |

def getFrameType | ( |  | self,
|  |  | state = `0`
| ) |  |

def getHeight | ( |  | self | ) |

def getWidth | ( |  | self | ) |

def guiDragTask | ( |  | self,
|  |  | state
| ) |  |

def guiScaleTask | ( |  | self,
|  |  | state
| ) |  |

def printConfig | ( |  | self,
|  |  | indent = `0`
| ) |  |

def resetFrameSize | ( |  | self | ) |

Reimplemented in DirectCheckButton, and DirectRadioButton.

def setBorderUvWidth | ( |  | self | ) |

def setBorderWidth | ( |  | self | ) |

def setFrameColor | ( |  | self | ) |

def setFrameSize | ( |  | self,
|  |  | fClearFrame = `0`
| ) |  |

Reimplemented in DirectCheckButton, and DirectRadioButton.

def setFrameTexture | ( |  | self | ) |

def setFrameVisibleScale | ( |  | self | ) |

def setProp | ( |  | self,
|  |  | propString,
|  |  | value
| ) |  |

    Allows you to set a property like frame['text'] = 'Joe' in
    a function instead of an assignment.
    This is useful for setting properties inside function intervals
    where must input a function and extraArgs, not an assignment.

def setRelief | ( |  | self,
|  |  | fSetStyle = `1`
| ) |  |

def setState | ( |  | self | ) |

def taskName | ( |  | self,
|  |  | idString
| ) |  |

def uniqueName | ( |  | self,
|  |  | idString
| ) |  |

def updateFrameStyle | ( |  | self | ) |

## Member Data Documentation

bounds

Reimplemented in DirectCheckButton, DirectEntry, and DirectRadioButton.

frameStyle

float gridSpacing = 0.05`[static]`

dictionary guiDict = {}`[static]`

tuple guiEdit = config.GetBool('direct-gui-edit', 0)`[static]`

guiId

Reimplemented from DirectGuiBase.

guiItem

inactiveInitState = DGG.NORMAL`[static]`

ll

Reimplemented in DirectEntry.

int snapToGrid = 0`[static]`

stateNodePath

ur

Reimplemented in DirectEntry.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties